Subject: Re: [Idr] Comments for draft-xiong-idr-detnet-flow-mapping-02 at IETF113

From: <[email-masked]>
Date: Tue, 29 Mar 2022 16:54:29 +0800 (CST)

Hi Xuesong,

Sorry for the messy codes. I reply your email again.

Thanks for your reply!
I agree with you that TSN stream and DetNet flow mapping can be configured  through DetNet Yang in centrol control model. But I think  it could also be configured by BGP-FS protocol in hybrid model.  We could configure the edge node to match the DetNet flow  and map it to the related TSN stream 
But your point is very great, d-CW(sequence number) is not required to be filter parameter. We only need to match the DetNet flow such as S-label and to trigger the action which configure the PREF function especially in service protection  interworking scenarios (such as copying of sequence number ).
We will update the draft and submmit the revision as soon as possible.

Best Regards,
Quan

> Hi Quan,

> Thanks for your explanation.
> As you have mentioned, mapping between TSN stream and DetNet flow is defined as basic procedures at edge node in RFC 9024, which could be configured through DetNet Yang Model. This is TSN over DetNet data plane encap and decap procedure, rat> her than specific process for flows with certain characteristics.
> For example, In section 4.3 of draft-xiong-idr-detnet-flow-mapping, d-CW(sequence number) is defined as the filter but there is no request in DetNet to trigger any action for some specific range of sequence number.
> So BGP flowspec extension may not be suitable.

Best
Xuesong

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Friday, March 25, 2022 6:12 PM
> To: Gengxuesong (Geng Xuesong) <[email-masked]>;
> [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Comments  for draft-xiong-idr-detnet-flow-mapping-02 at IETF113
>  
> Hi XueSong and  draft-hares-idr-flowspec-v2,
>  
> Thanks for your comment for the draft-xiong-idr-detnet-flow-mapping-02. About
> the reason why we use sequence number as the parameter of filter, we will add
> description in next version.
> As decribed in RFC9024 sectuion 5.2, "Due to the (intentional) similarities of the
> DetNet PREOF and TSN   FRER functions, service protection function
> interworking is possible   between the TSN and the DetNet domains.  Such
> service protection   interworking scenarios might require copying of sequence
> number   fields from TSN (L2) to PW (MPLS) encapsulation." So the sequence
> number in DetNet MPLS flow could be viewed as the the parameter of filter and
> identified and mapped to the TSN sequence in control plane when the DetNet
> PREF and TSN FRER  functions  interworking is possible.
>  
> This extensions belongs to Flowspec v2. Welcome draft-hares-idr-flowspec-v2
> authors to review the extensions for DetNet mapping.
>  Any comment and suggestion is welcome!
> Best Regards,
> Quan